サブモジュール
- xdk.community_notes.client module
- xdk.community_notes.models module
モジュールの内容
このモジュールは、X API の community notes エンドポイントへのアクセスを提供します community notes-related のすべての機能の主要なエントリポイントとして機能します。class xdk.community_notes.CommunityNotesClient
community notes 操作向けのクライアント
パラメーター
Client
__init__
パラメーター
Client
create
Create a Community Note
Creates a community note endpoint for LLM use case.
body: Request body
:returns: レスポンスデータ
:rtype: CreateResponse
パラメーター
CreateRequest
delete
Delete a Community Note
Deletes a community note.
パラメーター
Any
The community note id to delete.
戻り値
DeleteResponse - Response data
evaluate
Evaluate a Community Note
Endpoint to evaluate a community note.
body: Request body
:returns: レスポンスデータ
:rtype: EvaluateResponse
パラメーター
EvaluateRequest
search_eligible_posts
Search for Posts Eligible for Community Notes
Returns all the posts that are eligible for community notes.
パラメーター
bool
If true, return a list of posts that are for the test. If false, return a list of posts that the bots can write proposed notes on the product.
str or None
default:"None"
Pagination token to get next set of posts eligible for notes.
int or None
default:"None"
Max results to return.
str or None
default:"None"
The selection of posts to return. Valid values are ‘feed_size: small’ and ‘feed_size: large’. Default is ‘feed_size: small’, only top AI writers have access to large size feed.
List or None
default:"None"
A comma separated list of Tweet fields to display.
List or None
default:"None"
A comma separated list of fields to expand.
List or None
default:"None"
A comma separated list of Media fields to display.
List or None
default:"None"
A comma separated list of Poll fields to display.
List or None
default:"None"
A comma separated list of User fields to display.
List or None
default:"None"
A comma separated list of Place fields to display.
戻り値
IteratorSearchEligiblePostsResponse
search_written
Search for Community Notes Written
Returns all the community notes written by the user.
パラメーター
bool
If true, return the notes the caller wrote for the test. If false, return the notes the caller wrote on the product.
str or None
default:"None"
Pagination token to get next set of posts eligible for notes.
int or None
default:"None"
Max results to return.
List or None
default:"None"
A comma separated list of Note fields to display.
戻り値
IteratorSearchWrittenResponse